jvx.rsrc

## Class PsModelInfo

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.rsrc.PsModelInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public final class PsModelInfo
      extends PjWorkshop

  All information about a geometry model required for submission to the Electronic Geometry Models server.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    06.03.03, 3.50 revised (kp) Superclass changed to PjWorkshop from PsObject.
    16.12.01, 3.01 revised (kp) Increment number of files and references.
    20.06.01, 3.00 revised (kp) Moved from package jv.rsrc to jvx.rsrc.
    09.01.01, 2.50 revised (kp) Description element moved into own class PsGeometryInfo.
    08.01.01, 2.00 revised (kp) Implement version 2.0 of eg-model.dtd.
    20.12.00, 1.50 revised (kp) Beautifications, adjust file formats.
    16.04.00, 1.40 revised (kp) Extends from PsObject again.
    26.03.00, 1.30 revised (kp) Auto-generation of files when run inside JavaView.
    21.03.00, 1.20 revised (kp) Adjusted to validated DTD version 0.91.
    25.02.00, 1.10 revised (kp) Superclass changed from PsObject to PsXmlSrc.
    11.02.00, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EMPTY_ITEM`
    `static java.lang.String` | `FILE_FORMAT_BYU`
    `static java.lang.String` | `FILE_FORMAT_EPS`
    `static java.lang.String` | `FILE_FORMAT_FE`
    `static java.lang.String` | `FILE_FORMAT_GIF`
    `static java.lang.String` | `FILE_FORMAT_HTML`
    `static java.lang.String` | `FILE_FORMAT_JPG`
    `static java.lang.String` | `FILE_FORMAT_JVX`
    `static java.lang.String` | `FILE_FORMAT_MGS`
    `static java.lang.String` | `FILE_FORMAT_OBJ`
    `static java.lang.String` | `FILE_FORMAT_OFF`
    `static java.lang.String` | `FILE_FORMAT_PNG`
    `static java.lang.String` | `FILE_FORMAT_POLY`
    `static java.lang.String` | `FILE_FORMAT_PS`
    `static java.lang.String` | `FILE_FORMAT_SEPARATOR`
    `static java.lang.String` | `FILE_FORMAT_TXT`
    `static java.lang.String` | `FILE_FORMAT_WRL`
    `static java.lang.String` | `REFERENCE_ARTICLE`
    `static java.lang.String` | `REFERENCE_BOOK`
    `static java.lang.String` | `REFERENCE_INCOLLECTION`
    `static java.lang.String` | `REFERENCE_MISC`
    `static java.lang.String` | `REFERENCE_URL`
    `static java.lang.String` | `USAGE_APPLET`
    `static java.lang.String` | `USAGE_IMAGE`
    `static java.lang.String` | `USAGE_MASTER`
    `static java.lang.String` | `USAGE_ORIGINAL`
    `static java.lang.String` | `USAGE_OTHER`
    `static java.lang.String` | `USAGE_PREVIEW`
    `static java.lang.String` | `USAGE_PRINT`
    `static java.lang.String` | `USAGE_README`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsModelInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Duplicate object by recursively cloning all instance variables except inspector panels and lists of registered listeners.
    `PsAuthorInfo` | `getAuthorInfo()` Get author information.
    `PsGeometryInfo` | `getGeometryInfo()` Get geometry information.
    `java.lang.String` | `getRsrcFile()` Get resource file name.
    `PsXmlSrc` | `getXml()` Create an XML tree with data from this instance, for example, to print to file.
    `void` | `init()` Initialize and reset resource.
    `boolean` | `read(java.lang.String rsrcFile)` Read an XML file and create a tree structure of instances of type `PsXmlNode`.
    `static void` | `runningInsideJavaView(boolean insideJavaView)`
    `void` | `setAuthorInfo(PsAuthorInfo authorInfo)` Set author information.
    `void` | `setGeometryInfo(PsGeometryInfo geometryInfo)` Set geometry information.
    `void` | `setXml(PsXmlSrc src)` Fill this instance with data from an XML source, for example, previously read from file.
    `boolean` | `update(java.lang.Object event)` Updates the geometry if this workshop has changed, i.e. if the event is `this` or `null`.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, reset, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Field Detail

    - #### USAGE_MASTER

          public static final java.lang.String USAGE_MASTER

      See Also:
        Constant Field Values

    - #### USAGE_PREVIEW

          public static final java.lang.String USAGE_PREVIEW

      See Also:
        Constant Field Values

    - #### USAGE_APPLET

          public static final java.lang.String USAGE_APPLET

      See Also:
        Constant Field Values

    - #### USAGE_IMAGE

          public static final java.lang.String USAGE_IMAGE

      See Also:
        Constant Field Values

    - #### USAGE_ORIGINAL

          public static final java.lang.String USAGE_ORIGINAL

      See Also:
        Constant Field Values

    - #### USAGE_OTHER

          public static final java.lang.String USAGE_OTHER

      See Also:
        Constant Field Values

    - #### USAGE_PRINT

          public static final java.lang.String USAGE_PRINT

      See Also:
        Constant Field Values

    - #### USAGE_README

          public static final java.lang.String USAGE_README

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_BYU

          public static final java.lang.String FILE_FORMAT_BYU

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_JVX

          public static final java.lang.String FILE_FORMAT_JVX

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_OBJ

          public static final java.lang.String FILE_FORMAT_OBJ

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_POLY

          public static final java.lang.String FILE_FORMAT_POLY

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_SEPARATOR

          public static final java.lang.String FILE_FORMAT_SEPARATOR

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_EPS

          public static final java.lang.String FILE_FORMAT_EPS

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_PS

          public static final java.lang.String FILE_FORMAT_PS

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_GIF

          public static final java.lang.String FILE_FORMAT_GIF

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_JPG

          public static final java.lang.String FILE_FORMAT_JPG

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_PNG

          public static final java.lang.String FILE_FORMAT_PNG

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_FE

          public static final java.lang.String FILE_FORMAT_FE

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_MGS

          public static final java.lang.String FILE_FORMAT_MGS

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_OFF

          public static final java.lang.String FILE_FORMAT_OFF

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_TXT

          public static final java.lang.String FILE_FORMAT_TXT

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_HTML

          public static final java.lang.String FILE_FORMAT_HTML

      See Also:
        Constant Field Values

    - #### FILE_FORMAT_WRL

          public static final java.lang.String FILE_FORMAT_WRL

      See Also:
        Constant Field Values

    - #### REFERENCE_ARTICLE

          public static final java.lang.String REFERENCE_ARTICLE

      See Also:
        Constant Field Values

    - #### REFERENCE_BOOK

          public static final java.lang.String REFERENCE_BOOK

      See Also:
        Constant Field Values

    - #### REFERENCE_INCOLLECTION

          public static final java.lang.String REFERENCE_INCOLLECTION

      See Also:
        Constant Field Values

    - #### REFERENCE_MISC

          public static final java.lang.String REFERENCE_MISC

      See Also:
        Constant Field Values

    - #### REFERENCE_URL

          public static final java.lang.String REFERENCE_URL

      See Also:
        Constant Field Values

    - #### EMPTY_ITEM

          public static final java.lang.String EMPTY_ITEM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PsModelInfo

          public PsModelInfo()

  - ### Method Detail

    - #### init

          public void init()

      Initialize and reset resource.
      Overrides:
        `init` in class `PjWorkshop`

    - #### clone

          public java.lang.Object clone()

      Duplicate object by recursively cloning all instance variables except inspector panels and lists of registered listeners.
      Overrides:
        `clone` in class `PsObject`
      See Also:
        `PsObject.copy(PsObject)`
      Version:
        09.01.01, 1.00 revised (kp)
        09.01.01, 1.00 created (kp)

    - #### runningInsideJavaView

          public static final void runningInsideJavaView(boolean insideJavaView)

    - #### getRsrcFile

          public java.lang.String getRsrcFile()

      Get resource file name. Only assigned if file has already been read.
      Returns:
        name of XML file

    - #### getAuthorInfo

          public PsAuthorInfo getAuthorInfo()

      Get author information.

    - #### setAuthorInfo

          public void setAuthorInfo(PsAuthorInfo authorInfo)

      Set author information.

    - #### getGeometryInfo

          public PsGeometryInfo getGeometryInfo()

      Get geometry information.

    - #### setGeometryInfo

          public void setGeometryInfo(PsGeometryInfo geometryInfo)

      Set geometry information.

    - #### read

          public boolean read(java.lang.String rsrcFile)

      Read an XML file and create a tree structure of instances of type `PsXmlNode`.
      Parameters:
        `rsrcFile` - full name of resource file
      Returns:
        `true` if loading was successful

    - #### getXml

          public PsXmlSrc getXml()

      Create an XML tree with data from this instance, for example, to print to file.
      Returns:
        XML tree filled with data from this instance.

    - #### setXml

          public void setXml(PsXmlSrc src)

      Fill this instance with data from an XML source, for example, previously read from file. At first, this method resets the data structure by calling `init()`.
      Parameters:
        `src` - XML source used to fill this instance with data.
      Version:
        08.01.01, 2.00 revised (kp) Implemented version 2.0 of eg-model.dtd.
        11.02.00, 1.00 created (kp)

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PjWorkshop`
      Updates the geometry if this workshop has changed, i.e. if the event is `this` or `null`. Also propagates update() to superclass with the original argument event.

      Some subclasses may register themselves as update listener of the geometry of this workshop. In order to prevent an update loop, this method safely uses isUpdateSender() when updating the geometry.

      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PjWorkshop`
      Parameters:
        `event` - sender of this update.
      Returns:
        true if update was correctly handled by superclass.
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"